import { createElement } from "rax";
import View from "rax-view";
import Text from "rax-text";
import mock from "./mock.json";
import "./index.css";

const MyComponent = (props) => {
  // 获取配置的属性信息
  const themeColor = props.themeColor || mock.themeColor;
  const title = props.title || mock.title;

  return (
    <View style={{ background: themeColor }}>
      <Text className="title">{title}</Text>
    </View>
  );
};

export default MyComponent;
